cURL
curl --request GET \ --url https://api.walletsuite.io/api/chains \ --header 'x-api-key: <api-key>'
{ "ok": true, "code": "<string>", "message": "<string>", "data": [ { "id": "<string>", "name": "<string>", "symbol": "<string>", "decimals": 123, "slipId": "<string>", "chainId": "<string>", "chainFamily": "<string>", "curve": "<string>", "publicKeyType": "<string>", "explorer": { "url": "<string>", "txPath": "<string>", "accountPath": "<string>" }, "info": { "url": "<string>", "source": "<string>", "rpc": "<string>", "documentation": "<string>" }, "tier": 123 } ] }
Returns blockchain networks available under your API plan. Optionally filter results by chain family.
API key provided by WalletSuite team
Optional filter by chain family (for example Bitcoin or Ethereum).
OK
Show child attributes
Was this page helpful?